import unittest
from conf.testing import czifile
from model_server.image import CziImageFileAccessor

class TestCziImageFileAccess(unittest.TestCase):
    def setUp(self) -> None:
        pass

    def test_czifile_is_correct_shape(self):
        cf = CziImageFileAccessor(czifile['path'])
        self.assertEqual(cf.shape_dict['Y'], czifile['h'])
        self.assertEqual(cf.shape_dict['X'], czifile['w'])
        self.assertEqual(cf.chroma, czifile['c'])
        self.assertFalse(cf.is_3d)